user  www-data;
worker_processes  {{nginx_worker_processes}};

error_log   /var/log/nginx/error.log warn;
error_log   stderr warn;
pid         /run/nginx.pid;
include     /etc/nginx/modules-enabled/*.conf;

events {
    worker_connections  {{nginx_worker_connections}};
}

http {
    server_names_hash_bucket_size  {{nginx_server_names_hash_bucket_size}};
    default_type  application/octet-stream;

    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
    '$status $body_bytes_sent "$http_referer" '
    '"$http_user_agent" "$http_x_forwarded_for"';

    access_log  /var/log/nginx/access.log  main;
    access_log  syslog:server=unix:/dev/log combined;

    sendfile                    {{nginx_sendfile}};
    tcp_nopush                  {{nginx_tcp_nopush}};
    tcp_nodelay                 {{nginx_tcp_nodelay}};

    keepalive_timeout           {{nginx_keepalive_timeout}};
    client_max_body_size        {{nginx_client_max_body_size}};

    include /etc/nginx/mime.types;

    gzip                        {{nginx_gzip}};
    gzip_types                  {{nginx_gzip_types}};
    gzip_comp_level             {{nginx_gzip_comp_level}};

    etag                        {{nginx_etag}};

    include /etc/nginx/conf.d/*.conf;
    include /etc/nginx/sites-enabled/*;
}
